zenilib: Zeni::Check_Box Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | List of all members
Zeni::Check_Box Class Reference
Zenilib

A Check Box. More...

`#include <Widget.h>`

Inherits Zeni::Widget_Button.

Inherited by Zeni::Configurator_Video::Check_Box_Element, Zeni::Configurator_Video::Custom_Resolution_Box, Zeni::Popup_Menu_State::Sound_Check_Box, and Zeni::Radio_Button.

## Public Member Functions

| Check_Box (const Point2f &upper_left_, const Point2f &lower_right_, const bool &checked_=false, const bool &toggleable_=true)
const bool & | is_checked () const
const bool & | is_toggling () const
virtual void | on_accept ()
| Called when the cursor is released inside the button. More...
virtual void | on_click ()
| Called when the cursor downclicks the button. More...
virtual void | on_reject ()
| Called when the cursor is released outside the button. More...
virtual void | on_stray ()
| Called when the cursor is dragged off the button after being clicked. More...
virtual void | on_unstray ()
| Called when the cursor is dragged back onto the button without releasing the clicker. More...
void | set_checked (const bool &checked_)
Public Member Functions inherited from Zeni::Widget_Button
| Widget_Button (const Point2f &upper_left_, const Point2f &lower_right_)
const State & | get_State () const
| Get the State of the button. More...
virtual void | on_hover ()
| Called when the cursor passes over the button. More...
virtual void | on_mouse_button (const Point2i &pos, const bool &down, const int &button)
virtual void | on_mouse_motion (const Point2i &pos)
virtual void | on_unhover ()
| Called when the cursor leaves the button without clicking. More...
Public Member Functions inherited from Zeni::Widget
| Widget ()
virtual | ~Widget ()
void | fax_Renderer (const Widget_Render_Function *const &renderer)
| Set the current Widget_Render_Function, giving the Widget a copy. More...
const float & | get_layer () const
const Widget_Render_Function * | get_Renderer () const
| Get the current Widget_Render_Function. More...
void | give_Renderer (Widget_Render_Function *const &renderer)
| Set the current Widget_Render_Function, giving the Widget ownership. More...
const bool & | is_busy () const
const bool & | is_editable () const
void | lend_Renderer (const Widget_Render_Function *const &renderer)
| Set the current Widget_Render_Function, giving the Widget no ownership. More...
void | on_event (const SDL_KeyboardEvent &event)
void | on_event (const SDL_MouseButtonEvent &event)
void | on_event (const SDL_MouseButtonEvent &event, const Projector2D &projector)
void | on_event (const SDL_MouseMotionEvent &event)
void | on_event (const SDL_MouseMotionEvent &event, const Projector2D &projector)
virtual void | on_key (const SDL_Keysym &, const bool &)
virtual void | perform_logic ()
void | render () const
virtual void | render_impl () const
void | set_busy (const bool &busy_)
virtual void | set_editable (const bool &editable_)
void | set_layer (const float &layer_=0.0f)
Public Member Functions inherited from Zeni::Widget_Rectangle
| Widget_Rectangle (const Point2f &upper_left_, const Point2f &lower_right_)
virtual | ~Widget_Rectangle ()
Point2f | get_center () const
float | get_height () const
Point2f | get_lower_left () const
const Point2f & | get_lower_right () const
const Point2f & | get_upper_left () const
Point2f | get_upper_right () const
float | get_width () const
bool | is_inside (const Point2i &pos) const
virtual void | set_lower_right (const Point2f &lower_right_)
virtual void | set_upper_left (const Point2f &upper_left_)

## Additional Inherited Members

Public Types inherited from Zeni::Widget_Button
enum | State { NORMAL, CLICKED, HOVERED, STRAYED, UNACTIONABLE }

## Detailed Description

A Check Box.

Basically a button that can be toggled on and off.

Author
  bazald

Contact: bazal.nosp@m.d@ze.nosp@m.nipex.nosp@m..com

Definition at line 501 of file Widget.h.

## Constructor & Destructor Documentation

Zeni::Check_Box::Check_Box | ( | const Point2f & | upper_left_,
|  | const Point2f & | lower_right_,
|  | const bool & | checked_ = `false`,
|  | const bool & | toggleable_ = `true`
| ) |  |

inline

Definition at line 339 of file Widget.hxx.

References Zeni::Widget::give_Renderer(), and Zeni::Widget::set_editable().

## Member Function Documentation

const bool & Zeni::Check_Box::is_checked | ( |  | ) | const

inline

Definition at line 350 of file Widget.hxx.

Referenced by Zeni::Radio_Button::on_accept(), and Zeni::Widget_Renderer_Check_Box::render_to().

const bool & Zeni::Check_Box::is_toggling | ( |  | ) | const

inline

Definition at line 352 of file Widget.hxx.

Referenced by Zeni::Widget_Renderer_Check_Box::render_to().

void Zeni::Check_Box::on_accept | ( |  | ) |

virtual

Called when the cursor is released inside the button.

Reimplemented from Zeni::Widget_Button.

Reimplemented in Zeni::Radio_Button, and Zeni::Popup_Menu_State::Sound_Check_Box.

Definition at line 315 of file Widget.cpp.

Referenced by Zeni::Popup_Menu_State::Sound_Check_Box::on_accept(), and Zeni::Radio_Button::on_accept().

void Zeni::Check_Box::on_click | ( |  | ) |

virtual

Called when the cursor downclicks the button.

Reimplemented from Zeni::Widget_Button.

Definition at line 320 of file Widget.cpp.

void Zeni::Check_Box::on_reject | ( |  | ) |

virtual

Called when the cursor is released outside the button.

Reimplemented from Zeni::Widget_Button.

Definition at line 328 of file Widget.cpp.

Referenced by Zeni::Radio_Button::on_accept().

void Zeni::Check_Box::on_stray | ( |  | ) |

virtual

Called when the cursor is dragged off the button after being clicked.

Reimplemented from Zeni::Widget_Button.

Definition at line 332 of file Widget.cpp.

void Zeni::Check_Box::on_unstray | ( |  | ) |

virtual

Called when the cursor is dragged back onto the button without releasing the clicker.

Reimplemented from Zeni::Widget_Button.

Definition at line 324 of file Widget.cpp.

void Zeni::Check_Box::set_checked | ( | const bool & | checked_ | ) |

inline

Definition at line 351 of file Widget.hxx.

The documentation for this class was generated from the following files:

- zenilib/jni/external/zenilib/zeni_rest/Zeni/Widget.h
- zenilib/jni/external/zenilib/zeni_rest/Widget.cpp
- zenilib/jni/external/zenilib/zeni_rest/Zeni/Widget.hxx